Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.schema
Class DomainConfiguration

    java.lang.Object
      oracle.ifs.admin.tools.schema.DomainConfiguration

    public class DomainConfiguration

extends java.lang.Object

DomainConfiguration creates SERVICECONFIGURATION, SERVERCONFIGURATION, and NODECONFIGURATION objects from a parameter table specified by the command-line arguments.

DomainConfiguration is controlled by a ParameterTable, typically read from the file DefaultDomainConfiguration.def. Refer to that file for additional information on the format of the ParameterTable.

(Unpublished)

Nested Class Summary
`static class` | `DomainConfiguration.DefaultServerDefinition` Structure holds data require to construct a single server entry property within a node.
`static class` | `DomainConfiguration.DefaultServiceDefinition` Structure holds data require to construct a single service entry property within a node.

Constructor Summary
`DomainConfiguration(ParameterTable parameterTable)` Constructor.
`DomainConfiguration(java.lang.String[] args)` Constructor.

Method Summary
`static NodeConfiguration` | `createNodeConfiguration(LibrarySession session, java.lang.String name, AttributeValue aclAV, boolean isActive, NodeConfiguration superNC, java.util.Hashtable props, DomainConfiguration.DefaultServiceDefinition[] services, DomainConfiguration.DefaultServerDefinition[] servers, boolean verboseLogging, java.lang.String logPrefix)` Creates NODECONFIGURATION object.
`static ServerConfiguration` | `createServerConfiguration(LibrarySession session, java.lang.String name, AttributeValue aclAV, boolean isAbstract, ServerConfiguration[] inheritedSCs, ServerConfiguration scLike, java.util.Hashtable propertyOverrides, boolean verboseLogging, java.lang.String logPrefix)` Creates SERVERCONFIGURATION object.
`static ServiceConfiguration` | `createServiceConfiguration(LibrarySession session, java.lang.String name, AttributeValue aclAV, ServiceConfiguration scLike, java.util.Hashtable propertyOverrides, boolean verboseLogging, java.lang.String logPrefix)` Creates SERVICECONFIGURATION object.
`static void` | `freeNode(LibrarySession session, NodeConfiguration node, boolean verboseLogging, java.lang.String logPrefix)` Frees the specified NODECONFIGURATION object.
`static void` | `freeServer(LibrarySession session, ServerConfiguration server, boolean verboseLogging, java.lang.String logPrefix)` Frees the specified SERVERCONFIGURATION object.
`static void` | `freeService(LibrarySession session, ServiceConfiguration service, boolean verboseLogging, java.lang.String logPrefix)` Frees the specified SERVICECONFIGURATION object.
`static NodeConfiguration` | `getNodeConfiguration(LibrarySession session, java.lang.String name)` Gets the NODECONFIGURATION with the specified name.
`static ServerConfiguration` | `getServerConfiguration(LibrarySession session, java.lang.String name)` Gets the SERVERCONFIGURATION with the specified name.
`static ServiceConfiguration` | `getServiceConfiguration(LibrarySession session, java.lang.String name)` Gets the SERVICECONFIGURATION with the specified name.
`static void` | `main(java.lang.String[] args)` Main.
`void` | `run()` Run.
`protected static void` | `showAttributeValue(java.lang.String prefix, AttributeValue av, LibrarySession session)` Prints the specified AttributeValue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainConfiguration

    public DomainConfiguration(java.lang.String[] args)

  Constructor.

  Parameters:
    `args` - the command-line arguments
  (Unpublished)

### DomainConfiguration

    public DomainConfiguration(ParameterTable parameterTable)

  Constructor.

  Parameters:
    `parameterTable` - a ParameterTable
  (Unpublished)

Method Detail

### main

    public static void main(java.lang.String[] args)

  Description copied from class: `DomainConfiguration`
  Main.

  Parameters:
    `args` - the command-line arguments
  (Unpublished)

### run

    public void run()
             throws java.lang.Exception

  Description copied from class: `DomainConfiguration`
  Run.

  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

### freeNode

    public static void freeNode(LibrarySession session,
                                NodeConfiguration node,
                                boolean verboseLogging,
                                java.lang.String logPrefix)
                         throws IfsException

  Description copied from class: `DomainConfiguration`
  Frees the specified NODECONFIGURATION object.

  Parameters:
    `session` - the session context
    `node` - the node to free
    `verboseLogging` - whether to enable verbose logging
    `logPrefix` - log string prefix
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### freeServer

    public static void freeServer(LibrarySession session,
                                  ServerConfiguration server,
                                  boolean verboseLogging,
                                  java.lang.String logPrefix)
                           throws IfsException

  Description copied from class: `DomainConfiguration`
  Frees the specified SERVERCONFIGURATION object.

  Parameters:
    `session` - the session context
    `server` - the server to free
    `verboseLogging` - whether to enable verbose logging
    `logPrefix` - log string prefix
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### freeService

    public static void freeService(LibrarySession session,
                                   ServiceConfiguration service,
                                   boolean verboseLogging,
                                   java.lang.String logPrefix)
                            throws IfsException

  Description copied from class: `DomainConfiguration`
  Frees the specified SERVICECONFIGURATION object.

  Parameters:
    `session` - the session context
    `service` - the service to free
    `verboseLogging` - whether to enable verbose logging
    `logPrefix` - log string prefix
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### createServiceConfiguration

    public static ServiceConfiguration createServiceConfiguration(LibrarySession session,
                                                                  java.lang.String name,
                                                                  AttributeValue aclAV,
                                                                  ServiceConfiguration scLike,
                                                                  java.util.Hashtable propertyOverrides,
                                                                  boolean verboseLogging,
                                                                  java.lang.String logPrefix)
                                                           throws IfsException

  Description copied from class: `DomainConfiguration`
  Creates SERVICECONFIGURATION object.

  Parameters:
    `session` - the session context
    `name` - the name of the service configuration
    `aclAV` - the "ACL" AttributeValue to apply - typically private.
    `scLike` - an existing SC object to copy properties from
    `propertyOverrides` - property values that take precedence over scLike
    `verboseLogging` - whether to enable verbose logging
    `logPrefix` - log string prefix
  Returns:
    the newly created ServiceConfiguration
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### createServerConfiguration

    public static ServerConfiguration createServerConfiguration(LibrarySession session,
                                                                java.lang.String name,
                                                                AttributeValue aclAV,
                                                                boolean isAbstract,
                                                                ServerConfiguration[] inheritedSCs,
                                                                ServerConfiguration scLike,
                                                                java.util.Hashtable propertyOverrides,
                                                                boolean verboseLogging,
                                                                java.lang.String logPrefix)
                                                         throws IfsException

  Description copied from class: `DomainConfiguration`
  Creates SERVERCONFIGURATION object.

  Parameters:
    `session` - the session context
    `name` - the name of the server configuration
    `aclAV` - the "ACL" AttributeValue to apply - typically private.
    `isAbstract` - is server configuration abstract
    `inheritedSCs` - inheritied server configurations
    `scLike` - an existing SC object to copy properties from
    `propertyOverrides` - property values that take precedence over scLike
    `verboseLogging` - whether to enable verbose logging
    `logPrefix` - log string prefix
  Returns:
    the newly created ServerConfiguration
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### createNodeConfiguration

    public static NodeConfiguration createNodeConfiguration(LibrarySession session,
                                                            java.lang.String name,
                                                            AttributeValue aclAV,
                                                            boolean isActive,
                                                            NodeConfiguration superNC,
                                                            java.util.Hashtable props,
                                                            DomainConfiguration.DefaultServiceDefinition[] services,
                                                            DomainConfiguration.DefaultServerDefinition[] servers,
                                                            boolean verboseLogging,
                                                            java.lang.String logPrefix)
                                                     throws IfsException

  Description copied from class: `DomainConfiguration`
  Creates NODECONFIGURATION object.

  Parameters:
    `session` - the session context
    `name` - the name of the node configuration
    `aclAV` - the "ACL" AttributeValue to apply - typically private.
    `isActive` - is node configuration active
    `superNC` - the super NodeConfiguration this new instance extends
    `props` - property values
    `services` - default services
    `servers` - default servers
    `verboseLogging` - whether to enable verbose logging
    `logPrefix` - log string prefix
  Returns:
    the newly created NodeConfiguration
  Throws:
    `java.lang.Exception` - if the operation fails
    `IfsException`
  (Unpublished)

### getServiceConfiguration

    public static ServiceConfiguration getServiceConfiguration(LibrarySession session,
                                                               java.lang.String name)
                                                        throws IfsException

  Description copied from class: `DomainConfiguration`
  Gets the SERVICECONFIGURATION with the specified name.

  Parameters:
    `session` - the session context
    `name` - the name
  Returns:
    the SERVICECONFIGURATION
  Throws:
    `IfsException` - if operation fails. 12200 if invalid item.
  (Unpublished)

### getServerConfiguration

    public static ServerConfiguration getServerConfiguration(LibrarySession session,
                                                             java.lang.String name)
                                                      throws IfsException

  Description copied from class: `DomainConfiguration`
  Gets the SERVERCONFIGURATION with the specified name.

  Parameters:
    `session` - the session context
    `name` - the name
  Returns:
    the SERVERCONFIGURATION
  Throws:
    `IfsException` - if operation fails. 12200 if invalid item.
  (Unpublished)

### getNodeConfiguration

    public static NodeConfiguration getNodeConfiguration(LibrarySession session,
                                                         java.lang.String name)
                                                  throws IfsException

  Description copied from class: `DomainConfiguration`
  Gets the NODECONFIGURATION with the specified name.

  Parameters:
    `session` - the session context
    `name` - the name
  Returns:
    the NODECONFIGURATION
  Throws:
    `IfsException` - if operation fails. 12200 if invalid item.
  (Unpublished)

### showAttributeValue

    protected static void showAttributeValue(java.lang.String prefix,
                                             AttributeValue av,
                                             LibrarySession session)
                                      throws IfsException

  Description copied from class: `DomainConfiguration`
  Prints the specified AttributeValue.

  Parameters:
    `prefix` - the prefix
    `av` - the AttributeValue
    `session` - a session
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD